package com.atlassian.webdriver.bitbucket.element.tasks;

public enum TaskState {
    OPEN, RESOLVED, DELETED;

    public static TaskState fromString(String value) {
        for (TaskState state : values()) {
            if (state.name().equalsIgnoreCase(value)) {
                return state;
            }
        }
        throw new IllegalArgumentException("Unrecognised state: " + value);
    }
}
